Bug 827523 - REST API: Explicitly state units used for memory element of virtual machine
REST API: Explicitly state units used for memory element of virtual machine
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Macpherson
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 13:24 EDT by Stephen Gordon
Modified: 2015-09-22 09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 12:24:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2012-06-01 13:24:26 EDT
Description of problem:

Section "3.11. Create Virtual Machine states "The request also defines the virtual machine's memory as 512 MB and sets the boot device to a virtual hard disk.". The following example then specifies the memory in bytes, as required by the API.

The lead-in text should:
- Explicitly state the requirement to convert the desired amount of RAM to bytes.
- Provide the conversion formula (emphasising 1024 * 1024 * M rather than 1000 * 1000 * M).

There may be other API examples relating to virtual machines that need similar treatment.

http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Virtualization/3.0/html/REST_API_Guide/sect-REST_API_Guide-Example-Create_VM.html

Additionally the memory entry in Table 13.1. Virtual machine elements should also refer to the formula.

http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Virtualization/3.0/html/REST_API_Guide/chap-REST_API_Guide-VMs.html

Version-Release number of selected component (if applicable):

3.0, 3.1
Comment 1 Dan Macpherson 2012-08-01 12:21:08 EDT
* Added two notes for each VM example that uses bytes (create, update) that states the values have been converted to bytes using the formula.
* VM elements explicitly states the requirement for bytes, but I don't think the formula is necessary in that instance.
Committed revision 83855.

Note You need to log in before you can comment on or make changes to this bug.